SQUID + Lightsquid Snapshot 05 Dec 06:21 x86 - (re)Installation problem



  • Hallo,

    after Updating from Dec 01 to Dec 05 Snapshot, SQUID and Lightsquid packages could not be (re)installed.

    Beginning package installation for squid...
    Downloading package configuration file... done.
    Saving updated package information... done.
    Downloading squid and its dependencies... 
    Checking for package installation... 
    squid-2.7.9  could not download.
    of squid-2.7.9 failed!
    
    Installation aborted.Removing package...
    	Starting package deletion for squid-2.7.9...done.
    	Starting package deletion for squid_radius_auth-1.10...done.
    	Starting package deletion for libwww-5.4.0_4...done.
    Removing squid components...
    	Tabs items... done.
    	Menu items... done.
    	Services... done.
    Loading package instructions...
    	Include file squid.inc could not be found for inclusion.
    	Deinstall commands... 
    	Not executing custom deinstall hook because an include is missing.
    	Removing package instructions...done.
    	Auxiliary files... done.
    	Package XML... done.
    	Configuration... done.
    Failed to install package.
    
    Installation halted.
    

    Syslog told me something about "dependencies not found" for squid 2.7.x



  • Hello,
    I've exactly the same error on x86 & amd64.
    On 5th dec snap but also on 28th october snap.

    I tried to install from command line. Installation works, but impossible to validate install with gui.



  • Same problem with any package, snapshot 2.0-BETA4 (i386) built on Mon Nov 29 17:36:11 EST 2010



  • The files are missing in the directory on the repository.



  • Hi,
    @dreamslacker:

    The files are missing in the directory on the repository.

    Ok, it explain the problem. Do you know how to bypass it ?


  • Rebel Alliance Developer Netgate

    Can you try this again?

    The package server was on the fritz so it was switched to a different mirror and we had to rebuild a significant amount of the package binaries.



  • Packages seem to be working again.



  • Hello,
    Thanks for the work but it's still not working.

    Squid :

    squid-2.7.9  (extracting)
      cyrus-sasl-2.1.23  (extracting)
      perl-5.10.1  could not download.
    of squid-2.7.9 failed!
    

    Snort :

    Checking for package installation... 
    mysql-client-5.1.53  could not download.
    of mysql-client-5.1.53 failed!
    

    I'll try to install perl & mysql-client manually

    Edit: And it break install…

    Fatal error: Call to undefined function preg_match() in /etc/inc/interfaces.inc on line 3339
    


  • Hello,

    Squid install finaly works after having manually install perl :

    pkg_add -r perl
    Fetching ftp://ftp.freebsd.org/pub/FreeBSD/ports/amd64/packages-8.1-release/Latest/perl.tbz... Done.
    Removing stale symlinks from /usr/bin...
        Skipping /usr/bin/perl
        Skipping /usr/bin/perl5
    Done.
    Creating various symlinks in /usr/bin...
        Symlinking /usr/local/bin/perl5.10.1 to /usr/bin/perl
        Symlinking /usr/local/bin/perl5.10.1 to /usr/bin/perl5
    Done.
    cd: can't cd to /usr/include
    Cleaning up /etc/make.conf... Done.
    Spamming /etc/make.conf... Done.
    Cleaning up /etc/manpath.config... Done.
    Spamming /etc/manpath.config... Done.
    
    

    squid installation completed.

    I hope I will succeed with snort by installing manually "mysql51-client"  :)

    I hope also I will be able having my pfsense working…

    Fatal error: Call to undefined function preg_match() in /etc/inc/interfaces.inc on line 3339



  • Hi,

    for me the installation of SQUID works fine:

    Installation of squid completed.
    Beginning package installation for squid...
    Downloading package configuration file... done.
    Saving updated package information... done.
    Downloading squid and its dependencies... 
    Checking for package installation... 
    libwww-5.4.0_4  (extracting)
    openssl-1.0.0_2 already installed.
    Loading package configuration... done.
    	Configuring package components...
    	Additional files... done.
    Loading package instructions...
    	Menu items... done.
    	Integrated Tab items... done.
    	Services... done.
    Custom commands...
    	Executing custom_php_install_command()...done.
    	Executing custom_php_resync_config_command()...done.
    Writing configuration... done.
    Starting service.
    
    Installation completed.   Please check to make sure that the package is configured from the respective menu then start the package.
    

    Lightsquid works fine, too.

    Installation of Lightsquid completed.
    Beginning package installation for Lightsquid...
    Downloading package configuration file... done.
    Saving updated package information... done.
    Downloading Lightsquid and its dependencies... 
    Checking for package installation... 
    Loading package configuration... done.
    	Configuring package components...
    	Additional files... done.
    Loading package instructions...
    	Menu items... done.
    	Integrated Tab items... done.
    Custom commands...
    	Executing custom_php_install_command()...done.
    	Executing custom_php_resync_config_command()...done.
    Writing configuration... done.
    Starting service.
    
    Installation completed.   Please check to make sure that the package is configured from the respective menu then start the package.
    

    Still using same snapshot as when starting this thread, Dec 5.

    Thx


Log in to reply